package cp.gui;


import cp.Club;
import cp.Round;
import java.util.Comparator;

public class ClubStandingsComparator implements Comparator {
  private Round round;

  public ClubStandingsComparator(Round round) {
    super();
    this.round = round;
  }
  
  public int compare(Object o1, Object o2) {
		Club a = (Club)o1;
		Club b = (Club)o2;
    double aScore = a.getScore(round);
    double bScore = b.getScore(round);
    if (aScore > bScore) {
      return -1;
    }
    else if (bScore > aScore) {
      return 1;
    }
    return 0;  
  }
}